function updatestufen
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
global faktorstring stufenvec aktiverfaktor gradientcell stufenvec widmat ausschlussmat signallaenge

faktorstufenedit=findobj('tag','stufenedit');
faktorstufenmenu=findobj('tag','faktorauswahl');
anzahlfaktoren=size(faktorstring);

if isstr(get(faktorstufenedit,'string'))
    anzahlstufen=str2num(get(faktorstufenedit,'string'));
    stufenvec(aktiverfaktor,1)=anzahlstufen;
else
    anzahlstufen=get(faktorstufenedit,'string');
    stufenvec(aktiverfaktor,1)=anzahlstufen;
end

widindex=findstr(faktorstring{aktiverfaktor},'_');
if length(widindex)>0
    for k=1:length(widindex)
    faktorstring{aktiverfaktor}(widindex(k):widindex(k)+1)=[];
    end
end

if length(findstr(faktorstring{aktiverfaktor},num2str(aktiverfaktor)))>1
   aktiverfaktorstringpos =findstr(faktorstring{aktiverfaktor},num2str(aktiverfaktor));
   zwischenspeicher=faktorstring{aktiverfaktor}(aktiverfaktorstringpos(2):length(faktorstring{aktiverfaktor}));
   faktorstring{aktiverfaktor}(aktiverfaktorstringpos(2):length(faktorstring{aktiverfaktor}))=[];
   faktorstring{aktiverfaktor}=strrep(faktorstring{aktiverfaktor},...
   num2str(aktiverfaktor),[num2str(aktiverfaktor),'_',num2str(stufenvec(aktiverfaktor,1))]);
   faktorstring{aktiverfaktor}=[faktorstring{aktiverfaktor},zwischenspeicher];
else
    faktorstring{aktiverfaktor}=strrep(faktorstring{aktiverfaktor},...
    num2str(aktiverfaktor),[num2str(aktiverfaktor),'_',num2str(stufenvec(aktiverfaktor,1))]);

end    

set(faktorstufenmenu,'string',faktorstring);


return